export declare enum NOTIFICATIONS {
    IMAGE_NAME = "image_name",
    IMAGE_SHA = "image_sha",
    EXIT_ERROR = "exit_error",
    IMAGE_LINK = "image_link"
}
export type NotifierFunction = (notificationType: NOTIFICATIONS, data: any) => Promise<void> | void;
export type ReportImageInputs = {
    codefresh: {
        host?: string;
        apiKey: string;
    };
    imageName: string;
    dockerfileContent?: string;
    dockerfilePath?: string;
    workflow?: {
        name?: string;
        workflowUrl?: string;
        logsUrl?: string;
    };
    generic?: {
        request?: {
            protocol?: string;
            host?: string;
        };
        credentials?: {
            username?: string;
            password?: string;
        };
        ignoreRedirects?: boolean;
    };
    dockerhub?: {
        username?: string;
        password?: string;
    };
    dockerConfigPath: string;
    aws?: {
        role?: string;
        credentials?: {
            accessKeyId?: string;
            secretAccessKey?: string;
            region?: string;
        };
    };
    gcr?: {
        json?: string;
        host?: string;
        keyFilePath?: string;
    };
    retrieveCredentialsByDomain?: boolean;
};
//# sourceMappingURL=types.d.ts.map